apiVersion: networking.istio.io/v1beta1
kind: VirtualService
metadata:
  name: prometheusvs
spec:
  hosts:
  - "prometheus.172.16.0.100.xip.io"
  gateways:
  - httpbin-gateway
  http:
  - match:
    - uri:
        prefix: /
    route:
    - destination:
        port:
          number: 9090
        host: prometheus-kube-prometheus-prometheus.monitoring.svc.cluster.local